# Generated by go2rpm 1
%bcond_without check
%global debug_package %{nil}

# https://qpid.apache.org
%global goipath         qpid.apache.org
%global goipathgh       github.com/apache/qpid-proton/go/pkg
%global tag             0.32.0-rc1

%ifarch x86_64 amd64
%global archdir         linux_amd64
%endif
%ifarch ppc64le
%global archdir         linux_ppc64le
%endif
%ifarch aarch64
%global archdir         linux_arm64
%endif

%global godocs          readme-go-get.md README.md

Name:           golang-qpid-apache
Version:        0.32.0
Release:        rc1.2%{?dist}
Summary:        Golang binding library for qpid-proton
License:        BSD and ASL 2.0
URL:            https://gitbox.apache.org/repos/asf/qpid-proton.git/

# Thanks to non-traditional repo the source had to be creted manually.
# Use following tool to get the source: "get_source.sh <version>"
Source0:        golang-qpid-apache-0.32.0-rc1.tar.gz

BuildRequires:  %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}
BuildRequires:  qpid-proton-c-devel

Requires:       qpid-proton-c
Provides:       golang(%{goipath})
Provides:       golang(%{goipath}/electron)
Provides:       golang(%{goipath}/proton)
Provides:       golang(%{goipath}/amqp)


%description
Apache Qpid™ makes messaging tools that speak AMQP and support many languages and platforms.


%prep
%autosetup -n %{goipath}


%build
pushd ./go/pkg
for ali in %{goipath} %{goipathgh}; do
  mkdir -p $(dirname ./build/src/$ali)
  ln -s $PWD ./build/src/$ali
done

# create binary packages
export GOPATH=$PWD/build
for pkg in amqp electron proton; do
  pushd ./build/src/%{goipath}/$pkg
  go install .
  popd
done
find "$PWD"
popd


%install
pushd ./go/pkg
# copy binary packages
install -d -p %{buildroot}/%{gopath}/pkg/%{archdir}/%{goipath}/
pushd ./build/pkg/%{archdir}/%{goipath}/
for file in ./build/pkg/%{archdir}/* ; do
    if [ -d $file ]; then
        cp -rpav $file %{buildroot}%{gopath}/src/%{goipath}/
    fi
done
popd
rm -fr ./build ./internal
# copy packages source
install -d -p %{buildroot}/%{gopath}/src/%{goipath}/
for file in ./* ; do
    if [ -d $file ]; then
        cp -rpav $file %{buildroot}%{gopath}/src/%{goipath}/
    fi
done
popd


%files
%{gopath}/src/%{goipath}
%{gopath}/pkg/%{archdir}/%{goipath}


%changelog
* Tue Sep 01 00:29:30 CEST 2020 Martin Magr <mmagr@redhat.com> - 0.32.0-rc1.2
- Provide also binary packages

* Mon Aug 24 10:59:02 CEST 2020 Martin Magr <mmagr@redhat.com> - 0.32.0-rc1.1
- Initial package
